<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>PHPDoctor (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/phpdoctor.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\PHPDoctor</div>
<a href="../source/classes/phpdoctor.php.html#line58" class="location">classes/phpDoctor.php at line 58</a>

<h1>Class PHPDoctor</h1>

<pre class="tree"><strong>PHPDoctor</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>PHPDoctor</strong></p>

<div class="comment" id="overview_description"><p>This class holds the information from one run of PHPDoctor. Particularly
the packages, classes and options specified by the user. It is the root
of the parsed tokens and is passed to the doclet to be formatted into
output.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str config)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/tags/tag.html">Tag</a></td>
<td class="description"><p class="name"><a href="#createTag()">createTag</a>(str name, str text, str data, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</p><p class="description">Create a tag. </p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#defaultPackage()">defaultPackage</a>()</p><p class="description">Return the default package.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#docletPath()">docletPath</a>()</p><p class="description">Return the path PHPDoctor is running from.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#error()">error</a>(str msg)</p><p class="description">Write an error message to standard error.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#execute()">execute</a>(<a href="../phpdoctor/rootdoc.html">RootDoc</a> rootDoc)</p><p class="description">Loads and runs the doclet.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#fixPath()">fixPath</a>(str path)</p><p class="description">Add a trailing slash to a path if it does not have one.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/formatters/textformatter.html">TextFormatter</a></td>
<td class="description"><p class="name"><a href="#getFormatter()">getFormatter</a>()</p><p class="description">Creates the formatter and returns it.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#getOption()">getOption</a>(str option)</p><p class="description">Get a configuration option.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#makeAbsolutePath()">makeAbsolutePath</a>(str path, str prefix)</p><p class="description">Turn path into an absolute path using the given prefix?</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#message()">message</a>(str msg)</p><p class="description">Write a message to standard output.</p></td>
</tr>
<tr>
<td class="type"> str[]</td>
<td class="description"><p class="name"><a href="#options()">options</a>()</p><p class="description">Return a reference to the set options.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/rootdoc.html">RootDoc</a></td>
<td class="description"><p class="name"><a href="#parse()">parse</a>()</p><p class="description">Parse files into tokens and create rootDoc.</p></td>
</tr>
<tr>
<td class="type"> mixed[]</td>
<td class="description"><p class="name"><a href="#processDocComment()">processDocComment</a>(str comment, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</p><p class="description">Process a doc comment into a doc tag array.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#sourcePath()">sourcePath</a>()</p><p class="description">Return the source path.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#verbose()">verbose</a>(str msg)</p><p class="description">Write a message to standard output.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#version()">version</a>()</p><p class="description">Return the version of PHPDoctor.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#warning()">warning</a>(str msg)</p><p class="description">Write a warning message to standard error.</p></td>
</tr>
</table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/phpdoctor.php.html#line240" class="location">classes/phpDoctor.php at line 240</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str config)</code>
<div class="details">
<p>Constructor</p><dl>
<dt>Parameters:</dt>
<dd>config - The configuration file to use for this run of PHPDoctor</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line1352" class="location">classes/phpDoctor.php at line 1352</a>

<h3 id="createTag()">createTag</h3>
<code class="signature">public  <a href="../phpdoctor/tags/tag.html">Tag</a> <strong>createTag</strong>(str name, str text, str data, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</code>
<div class="details">
<p>Create a tag. This method first tries to load a Taglet for the given tag
name, upon failing it then tries to load a PHPDoctor specialised tag
class (e.g. classes/paramtag.php), if it still has not found a tag class
it uses the standard tag class.</p><dl>
<dt>Parameters:</dt>
<dd>name - The name of the tag</dd>
<dd>text - The contents of the tag</dd>
<dd>data - Reference to doc comment data array</dd>
<dd>root - The root object</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line523" class="location">classes/phpDoctor.php at line 523</a>

<h3 id="defaultPackage()">defaultPackage</h3>
<code class="signature">public  str <strong>defaultPackage</strong>()</code>
<div class="details">
<p>Return the default package.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line495" class="location">classes/phpDoctor.php at line 495</a>

<h3 id="docletPath()">docletPath</h3>
<code class="signature">public  str <strong>docletPath</strong>()</code>
<div class="details">
<p>Return the path PHPDoctor is running from.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line431" class="location">classes/phpDoctor.php at line 431</a>

<h3 id="error()">error</h3>
<code class="signature">public  void <strong>error</strong>(str msg)</code>
<div class="details">
<p>Write an error message to standard error.</p><dl>
<dt>Parameters:</dt>
<dd>msg - Error message to output</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line1133" class="location">classes/phpDoctor.php at line 1133</a>

<h3 id="execute()">execute</h3>
<code class="signature">public  bool <strong>execute</strong>(<a href="../phpdoctor/rootdoc.html">RootDoc</a> rootDoc)</code>
<div class="details">
<p>Loads and runs the doclet.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line482" class="location">classes/phpDoctor.php at line 482</a>

<h3 id="fixPath()">fixPath</h3>
<code class="signature">public  str <strong>fixPath</strong>(str path)</code>
<div class="details">
<p>Add a trailing slash to a path if it does not have one.</p><dl>
<dt>Parameters:</dt>
<dd>path - Path to postfix</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line1151" class="location">classes/phpDoctor.php at line 1151</a>

<h3 id="getFormatter()">getFormatter</h3>
<code class="signature">public  <a href="../phpdoctor/formatters/textformatter.html">TextFormatter</a> <strong>getFormatter</strong>()</code>
<div class="details">
<p>Creates the formatter and returns it.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line542" class="location">classes/phpDoctor.php at line 542</a>

<h3 id="getOption()">getOption</h3>
<code class="signature">public  str <strong>getOption</strong>(str option)</code>
<div class="details">
<p>Get a configuration option.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line455" class="location">classes/phpDoctor.php at line 455</a>

<h3 id="makeAbsolutePath()">makeAbsolutePath</h3>
<code class="signature">public  str <strong>makeAbsolutePath</strong>(str path, str prefix)</code>
<div class="details">
<p>Turn path into an absolute path using the given prefix?</p><dl>
<dt>Parameters:</dt>
<dd>path - Path to make absolute</dd>
<dd>prefix - Absolute path to append to relative path</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line396" class="location">classes/phpDoctor.php at line 396</a>

<h3 id="message()">message</h3>
<code class="signature">public  void <strong>message</strong>(str msg)</code>
<div class="details">
<p>Write a message to standard output.</p><dl>
<dt>Parameters:</dt>
<dd>msg - Message to output</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line532" class="location">classes/phpDoctor.php at line 532</a>

<h3 id="options()">options</h3>
<code class="signature">public  str[] <strong>options</strong>()</code>
<div class="details">
<p>Return a reference to the set options.</p><dl>
<dt>Returns:</dt>
<dd>An array of strings.</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line552" class="location">classes/phpDoctor.php at line 552</a>

<h3 id="parse()">parse</h3>
<code class="signature">public  <a href="../phpdoctor/rootdoc.html">RootDoc</a> <strong>parse</strong>()</code>
<div class="details">
<p>Parse files into tokens and create rootDoc.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line1274" class="location">classes/phpDoctor.php at line 1274</a>

<h3 id="processDocComment()">processDocComment</h3>
<code class="signature">public  mixed[] <strong>processDocComment</strong>(str comment, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</code>
<div class="details">
<p>Process a doc comment into a doc tag array.</p><dl>
<dt>Parameters:</dt>
<dd>comment - The comment to process</dd>
<dd>root - The root object</dd>
<dt>Returns:</dt>
<dd>Array of doc comment data</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line505" class="location">classes/phpDoctor.php at line 505</a>

<h3 id="sourcePath()">sourcePath</h3>
<code class="signature">public  str <strong>sourcePath</strong>()</code>
<div class="details">
<p>Return the source path.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line408" class="location">classes/phpDoctor.php at line 408</a>

<h3 id="verbose()">verbose</h3>
<code class="signature">public  void <strong>verbose</strong>(str msg)</code>
<div class="details">
<p>Write a message to standard output.</p><dl>
<dt>Parameters:</dt>
<dd>msg - Message to output</dd>
</dl>
</div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line514" class="location">classes/phpDoctor.php at line 514</a>

<h3 id="version()">version</h3>
<code class="signature">public  str <strong>version</strong>()</code>
<div class="details">
<p>Return the version of PHPDoctor.</p></div>

<hr>

<a href="../source/classes/phpdoctor.php.html#line420" class="location">classes/phpDoctor.php at line 420</a>

<h3 id="warning()">warning</h3>
<code class="signature">public  void <strong>warning</strong>(str msg)</code>
<div class="details">
<p>Write a warning message to standard error.</p><dl>
<dt>Parameters:</dt>
<dd>msg - Warning message to output</dd>
</dl>
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/phpdoctor.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>